package com.th.demo.model.ware;

import com.th.demo.model.system.SysUser;

import java.util.Date;

public class MoveRecord {
    private String id;

    private String wareNameOld;

    private String wareNameNew;

    private String stackNameOld;

    private String stackNameNew;

    private Integer layerOld;

    private Integer layerNew;

    private String materialName;

    private String materialNo;

    private String standard;

    private String model;

    private String customerName;

    private String customerNo;

    private Double count;

    private Double weight;

    private String remark;

    private SysUser addUser;

    private Date addTime;

    private String modifyId;

    private Date modifyTime;

    private String cancelId;

    private Date cancelTime;

    private String cancelFlag;

    private String belongId;

    private String plateNo;

    private String receiveAddress;
    private String wgtDcnMtcCd;

    private String edgeTy;

    private String productionPlace;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getWareNameOld() {
        return wareNameOld;
    }

    public void setWareNameOld(String wareNameOld) {
        this.wareNameOld = wareNameOld == null ? null : wareNameOld.trim();
    }

    public String getWareNameNew() {
        return wareNameNew;
    }

    public void setWareNameNew(String wareNameNew) {
        this.wareNameNew = wareNameNew == null ? null : wareNameNew.trim();
    }

    public String getStackNameOld() {
        return stackNameOld;
    }

    public void setStackNameOld(String stackNameOld) {
        this.stackNameOld = stackNameOld == null ? null : stackNameOld.trim();
    }

    public String getStackNameNew() {
        return stackNameNew;
    }

    public void setStackNameNew(String stackNameNew) {
        this.stackNameNew = stackNameNew == null ? null : stackNameNew.trim();
    }

    public Integer getLayerOld() {
        return layerOld;
    }

    public void setLayerOld(Integer layerOld) {
        this.layerOld = layerOld;
    }

    public Integer getLayerNew() {
        return layerNew;
    }

    public void setLayerNew(Integer layerNew) {
        this.layerNew = layerNew;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo == null ? null : materialNo.trim();
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard == null ? null : standard.trim();
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }

    public String getCustomerNo() {
        return customerNo;
    }

    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo == null ? null : customerNo.trim();
    }

    public Double getCount() {
        return count;
    }

    public void setCount(Double count) {
        this.count = count;
    }

    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public SysUser getAddUser() {
        return addUser;
    }

    public void setAddUser(SysUser addUser) {
        this.addUser = addUser;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getModifyId() {
        return modifyId;
    }

    public void setModifyId(String modifyId) {
        this.modifyId = modifyId == null ? null : modifyId.trim();
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCancelId() {
        return cancelId;
    }

    public void setCancelId(String cancelId) {
        this.cancelId = cancelId == null ? null : cancelId.trim();
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public String getCancelFlag() {
        return cancelFlag;
    }

    public void setCancelFlag(String cancelFlag) {
        this.cancelFlag = cancelFlag == null ? null : cancelFlag.trim();
    }

    public String getBelongId() {
        return belongId;
    }

    public void setBelongId(String belongId) {
        this.belongId = belongId == null ? null : belongId.trim();
    }

    public String getPlateNo() {
        return plateNo;
    }

    public void setPlateNo(String plateNo) {
        this.plateNo = plateNo == null ? null : plateNo.trim();
    }

    public String getReceiveAddress() {
        return receiveAddress;
    }

    public void setReceiveAddress(String receiveAddress) {
        this.receiveAddress = receiveAddress == null ? null : receiveAddress.trim();
    }

    public String getWgtDcnMtcCd() {
        return wgtDcnMtcCd;
    }

    public void setWgtDcnMtcCd(String wgtDcnMtcCd) {
        this.wgtDcnMtcCd = wgtDcnMtcCd;
    }

    public String getEdgeTy() {
        return edgeTy;
    }

    public void setEdgeTy(String edgeTy) {
        this.edgeTy = edgeTy;
    }

    public String getProductionPlace() {
        return productionPlace;
    }

    public void setProductionPlace(String productionPlace) {
        this.productionPlace = productionPlace;
    }
}